## lomiri-calculator-app 3.3.7~git20221006.7c58668

=== debian/changelog ===
lomiri-calculator-app (3.3.7~git20221006.7c58668-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1021413).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 08 Oct 2022 00:30:11 +0200
