## lomiri-calculator-app 3.3.7~git20230107.e1a61e6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)
project(lomiri-calculator-app)

include(FindGettext)
if(NOT GETTEXT_FOUND)
  message(FATAL_ERROR "Could not find gettext")
endif(NOT GETTEXT_FOUND)

set(MANIFEST_PATH "manifest.json.in" CACHE INTERNAL "Tells QtCreator location and name of the manifest file")

find_package(Qt5Core REQUIRED)
find_package(Qt5Qml REQUIRED)
find_package(Qt5Quick REQUIRED)
# Find_package(ubuntu-sdk-libs)

#automatically create moc files
set(CMAKE_AUTOMOC ON)


option(INSTALL_TESTS "Install the tests on make install" on)
option(CLICK_MODE "Installs to a contained location" on)

include(GNUInstallDirs)

set(APP_NAME                        Calculator)
set(APP_HARDCODE                    lomiri-calculator-app)
set(AUTOPILOT_DIR                   lomiri_calculator_app)
set(MAIN_QML                        ${APP_HARDCODE}.qml)
set(ICON_FILE                       "${APP_HARDCODE}.svg")
set(SPLASH_FILE                     "${APP_HARDCODE}-splash.svg")
set(DESKTOP_FILE                    "${APP_HARDCODE}.desktop")
set(APP_VERSION                     3.3.7)
set(AUTOPILOT_DIR                   lomiri_calculator_app)

if(CLICK_MODE)
  set(CMAKE_INSTALL_PREFIX "/")
  set(LOMIRI-CALCULATOR-APP_DIR    "${CMAKE_INSTALL_DATADIR}/qml")

  set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}")
  set(EXEC "qmlscene -qt5 $@ ${LOMIRI-CALCULATOR-APP_DIR}/${MAIN_QML}")
  if(NOT BZR_REVNO)
    execute_process(
      COMMAND bzr revno
              OUTPUT_VARIABLE BZR_REVNO
              WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
              OUTPUT_STRIP_TRAILING_WHITESPACE
    )
  endif(NOT BZR_REVNO)
  if(NOT BZR_SOURCE)
    set(BZR_SOURCE lp:${APP_HARDCODE})
    message("-- Setting BZR_SOURCE to ${BZR_SOURCE}")
  endif(NOT BZR_SOURCE)
else(CLICK_MODE)
  set(LOMIRI-CALCULATOR-APP_DIR "${CMAKE_INSTALL_DATADIR}/${APP_HARDCODE}")
  execute_process(
    COMMAND qmake -query QT_INSTALL_QML
            OUTPUT_VARIABLE QT_IMPORTS_DIR
            OUTPUT_STRIP_TRAILING_WHITESPACE
  )
endif(CLICK_MODE)

if(CLICK_MODE)
  message("-- Configuring manifest.json")

  execute_process(
    COMMAND dpkg-architecture -qDEB_HOST_ARCH
            OUTPUT_VARIABLE CLICK_ARCH
            OUTPUT_STRIP_TRAILING_WHITESPACE
  )

  configure_file(${MANIFEST_PATH} ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json DESTINATION ${CMAKE_INSTALL_PREFIX})
  install(FILES "${APP_HARDCODE}.apparmor" DESTINATION ${CMAKE_INSTALL_PREFIX})
  set(ICON ${ICON_FILE})
  set(SPLASH ${SPLASH_FILE})
else(CLICK_MODE)
  set(ICON ${CMAKE_INSTALL_PREFIX}/${LOMIRI-CALCULATOR-APP_DIR}/${ICON_FILE})
  set(SPLASH ${CMAKE_INSTALL_PREFIX}/${LOMIRI-CALCULATOR-APP_DIR}/${SPLASH_FILE})
  set(EXEC ${APP_HARDCODE})
  configure_file(app/${APP_HARDCODE}.in
    ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE})
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE}
    DESTINATION ${CMAKE_INSTALL_BINDIR})
endif(CLICK_MODE)

install(FILES app/${ICON_FILE} DESTINATION ${LOMIRI-CALCULATOR-APP_DIR}/graphics)
install(FILES app/${SPLASH_FILE} DESTINATION ${LOMIRI-CALCULATOR-APP_DIR}/graphics)

configure_file(app/${DESKTOP_FILE}.in.in ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in)

add_custom_target(${DESKTOP_FILE} ALL
  COMMENT "Merging translations into ${DESKTOP_FILE}"
  COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
          --desktop --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
          -o ${DESKTOP_FILE}
          -d ${CMAKE_SOURCE_DIR}/po
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

# Tests
enable_testing()

add_subdirectory(app)
add_subdirectory(tests)
add_subdirectory(po)
