=== debian/changelog ===
lomiri-calculator-app (3.3.7~git20230107.e1a61e6-1) unstable; urgency=medium

  * New git snapshot (3.3.7~git20230107.e1a61e6)

 -- Marius Gripsgard <marius@ubports.com>  Sat, 07 Jan 2023 20:01:10 +0100
