=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=3.3.7~git%cd.%h" \
https://gitlab.com/ubports/development/apps/lomiri-calculator-app \
HEAD debian uupdate
