## lomiri-calculator-app 4.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 2.8.9)
-project(lomiri-calculator-app)
+cmake_minimum_required(VERSION 3.5)
+project(lomiri-calculator-app VERSION 4.0.0)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -11,7 +11,6 @@
 find_package(Qt5Core REQUIRED)
 find_package(Qt5Qml REQUIRED)
 find_package(Qt5Quick REQUIRED)
-# Find_package(ubuntu-sdk-libs)
 
 #automatically create moc files
 set(CMAKE_AUTOMOC ON)
@@ -29,7 +28,6 @@
 set(ICON_FILE                       "${APP_HARDCODE}.svg")
 set(SPLASH_FILE                     "${APP_HARDCODE}-splash.svg")
 set(DESKTOP_FILE                    "${APP_HARDCODE}.desktop")
-set(APP_VERSION                     3.3.7)
 set(AUTOPILOT_DIR                   lomiri_calculator_app)
 
 if(CLICK_MODE)
