=== debian/changelog ===
lomiri-calculator-app (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Fix typo in LONG_DESCRIPTION.
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/watch:
    + Start watching upstream releases.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Jan 2023 21:59:28 +0100
