## lomiri-calculator-app 4.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-calculator-app VERSION 4.0.0)
+project(lomiri-calculator-app VERSION 4.0.1)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
