=== app/CMakeLists.txt ===
if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
  file(GLOB QML_JS_FILES *.qml *.js)
  add_custom_target(lomiri-calculator-app_QMlFiles ALL SOURCES ${QML_JS_FILES})
endif(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")

if(CLICK_MODE)
  install(FILES ${ICON_FILE} DESTINATION ${CMAKE_INSTALL_PREFIX})
  install(FILES ${SPLASH_FILE} DESTINATION ${CMAKE_INSTALL_PREFIX})
else (CLICK_MODE)
  install(FILES ${ICON_FILE} DESTINATION ${LOMIRI-CALCULATOR-APP_DIR})
  install(FILES ${SPLASH_FILE} DESTINATION ${LOMIRI-CALCULATOR-APP_DIR})
endif(CLICK_MODE)
install(FILES ${MAIN_QML} DESTINATION ${LOMIRI-CALCULATOR-APP_DIR})

add_subdirectory(engine)
add_subdirectory(ui)
add_subdirectory(upstreamcomponents)
