=== debian/changelog ===
lomiri-calculator-app (4.0.1-1) unstable; urgency=medium

  * New upstream release.
    - Translation updates.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Feb 2023 15:00:08 +0100
