=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                qtbase5-dev,
                qtdeclarative5-dev,
                npm
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-calculator-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-calculator-app.git
@@ -29,7 +29,7 @@
  This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
  a mobile OS developed by the UBports Foundation. Lomiri is its operating
  environment optimized for touch based human-machine interaction, but
- also support convergence (i.e. switching between tablet/phone and
+ also supports convergence (i.e. switching between tablet/phone and
  desktop mode).
  .
  This package provides Lomiri's Calulcator App.
