=== debian/watch ===
version=4
https://gitlab.com/ubports/development/apps/lomiri-calculator-app/tags .*/lomiri-calculator-app-v(\d\S+)\.tar\.gz
