## lomiri-calculator-app 4.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-calculator-app VERSION 4.0.1)
+project(lomiri-calculator-app VERSION 4.0.2)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -35,7 +35,7 @@
   set(LOMIRI-CALCULATOR-APP_DIR    "${CMAKE_INSTALL_DATADIR}/qml")
 
   set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}")
-  set(EXEC "qmlscene -qt5 $@ ${LOMIRI-CALCULATOR-APP_DIR}/${MAIN_QML}")
+  set(EXEC "lomiri-calculator-app-migrate.py qmlscene -qt5 $@ ${LOMIRI-CALCULATOR-APP_DIR}/${MAIN_QML}")
   if(NOT BZR_REVNO)
     execute_process(
       COMMAND bzr revno
@@ -69,12 +69,14 @@
   configure_file(${MANIFEST_PATH} ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json DESTINATION ${CMAKE_INSTALL_PREFIX})
   install(FILES "${APP_HARDCODE}.apparmor" DESTINATION ${CMAKE_INSTALL_PREFIX})
+  install(PROGRAMS app/lomiri-calculator-app-migrate.py DESTINATION ${CMAKE_INSTALL_PREFIX})
   set(ICON ${ICON_FILE})
   set(SPLASH ${SPLASH_FILE})
 else(CLICK_MODE)
   set(ICON ${CMAKE_INSTALL_PREFIX}/${LOMIRI-CALCULATOR-APP_DIR}/${ICON_FILE})
   set(SPLASH ${CMAKE_INSTALL_PREFIX}/${LOMIRI-CALCULATOR-APP_DIR}/${SPLASH_FILE})
   set(EXEC ${APP_HARDCODE})
+  install(PROGRAMS app/lomiri-calculator-app-migrate.py DESTINATION ${LOMIRI-CALCULATOR-APP_DIR})
   configure_file(app/${APP_HARDCODE}.in
     ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE})
   install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE}
