=== debian/changelog ===
lomiri-calculator-app (4.0.2-3) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/copyright:
    + Add Upstream-Contact: field to global header.
  * debian/patches:
    + Add 2002_hide-app-if-not-in-lomiri.patch. Hide app if not in Lomiri.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Feb 2025 15:58:43 +0100

lomiri-calculator-app (4.0.2-2) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/patches:
    + Add 2001_ignore-autopilot.patch. Skip building tests/ folder.
  * debian/control:
    + Drop from B-D: python3, python3-distutils, npm. (Closes: #1065899).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 05 Jul 2024 20:58:26 +0200

lomiri-calculator-app (4.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update copyright attributions.
  * debian/rules:
    + Remove not needed migration script (Ubuntu Touch specific).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Feb 2024 00:28:32 +0100
