=== debian/control ===
--- 
+++ 
@@ -7,12 +7,9 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                gettext,
-               python3,
-               python3-distutils,
                qtbase5-dev,
                qtdeclarative5-dev,
-               npm
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-calculator-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-calculator-app.git
