=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 	dh_auto_configure -- -DCLICK_MODE=OFF
 
 override_dh_install:
+	# Drop Ubuntu Touch specific migration script
+	rm debian/lomiri-calculator-app/usr/share/lomiri-calculator-app/lomiri-calculator-app-migrate.py
 	dh_install
 
 	# drop autopilot test files
