## lomiri-calculator-app 4.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-calculator-app VERSION 4.0.2)
+project(lomiri-calculator-app VERSION 4.1.0 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -14,7 +14,6 @@
 
 #automatically create moc files
 set(CMAKE_AUTOMOC ON)
-
 
 option(INSTALL_TESTS "Install the tests on make install" on)
 option(CLICK_MODE "Installs to a contained location" on)
@@ -32,10 +31,10 @@
 
 if(CLICK_MODE)
   set(CMAKE_INSTALL_PREFIX "/")
-  set(LOMIRI-CALCULATOR-APP_DIR    "${CMAKE_INSTALL_DATADIR}/qml")
 
   set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}")
-  set(EXEC "lomiri-calculator-app-migrate.py qmlscene -qt5 $@ ${LOMIRI-CALCULATOR-APP_DIR}/${MAIN_QML}")
+  # Not FULL because under APP_DIR
+  set(EXEC "lomiri-calculator-app-migrate.py ${CMAKE_INSTALL_BINDIR}/${APP_HARDCODE} $@")
   if(NOT BZR_REVNO)
     execute_process(
       COMMAND bzr revno
@@ -49,13 +48,14 @@
     message("-- Setting BZR_SOURCE to ${BZR_SOURCE}")
   endif(NOT BZR_SOURCE)
 else(CLICK_MODE)
-  set(LOMIRI-CALCULATOR-APP_DIR "${CMAKE_INSTALL_DATADIR}/${APP_HARDCODE}")
   execute_process(
     COMMAND qmake -query QT_INSTALL_QML
             OUTPUT_VARIABLE QT_IMPORTS_DIR
             OUTPUT_STRIP_TRAILING_WHITESPACE
   )
 endif(CLICK_MODE)
+
+set(LOMIRI-CALCULATOR-APP_DIR "${CMAKE_INSTALL_FULL_DATADIR}/${APP_HARDCODE}")
 
 if(CLICK_MODE)
   message("-- Configuring manifest.json")
@@ -73,14 +73,10 @@
   set(ICON ${ICON_FILE})
   set(SPLASH ${SPLASH_FILE})
 else(CLICK_MODE)
-  set(ICON ${CMAKE_INSTALL_PREFIX}/${LOMIRI-CALCULATOR-APP_DIR}/${ICON_FILE})
-  set(SPLASH ${CMAKE_INSTALL_PREFIX}/${LOMIRI-CALCULATOR-APP_DIR}/${SPLASH_FILE})
+  set(ICON ${LOMIRI-CALCULATOR-APP_DIR}/${ICON_FILE})
+  set(SPLASH ${LOMIRI-CALCULATOR-APP_DIR}/${SPLASH_FILE})
   set(EXEC ${APP_HARDCODE})
   install(PROGRAMS app/lomiri-calculator-app-migrate.py DESTINATION ${LOMIRI-CALCULATOR-APP_DIR})
-  configure_file(app/${APP_HARDCODE}.in
-    ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE})
-  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE}
-    DESTINATION ${CMAKE_INSTALL_BINDIR})
 endif(CLICK_MODE)
 
 install(FILES app/${ICON_FILE} DESTINATION ${LOMIRI-CALCULATOR-APP_DIR}/graphics)
