=== app/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,32 @@
 if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
-  file(GLOB QML_JS_FILES *.qml *.js)
+  file(GLOB_RECURSE QML_JS_FILES *.qml *.js)
   add_custom_target(lomiri-calculator-app_QMlFiles ALL SOURCES ${QML_JS_FILES})
 endif(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
+
+list(APPEND ${APP_HARDCODE}_SRCS
+  main.cpp
+  ${QML_JS_FILES}
+)
+
+configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)
+
+list(APPEND ${APP_HARDCODE}_SRCS
+  ${CMAKE_CURRENT_BINARY_DIR}/config.h
+)
+
+add_executable(${APP_HARDCODE} ${${APP_HARDCODE}_SRCS})
+
+target_include_directories(${APP_HARDCODE} PRIVATE
+  ${CMAKE_CURRENT_BINARY_DIR}
+)
+
+target_link_libraries(${APP_HARDCODE} PUBLIC
+  Qt5::Core
+  Qt5::Qml
+  Qt5::Quick
+)
+
+install(TARGETS ${APP_HARDCODE} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
 
 if(CLICK_MODE)
   install(FILES ${ICON_FILE} DESTINATION ${CMAKE_INSTALL_PREFIX})
