=== tests/CMakeLists.txt ===
if(NOT CLICK_MODE)
    add_subdirectory(autopilot)
endif(NOT CLICK_MODE)
