=== app/engine/CMakeLists.txt ===
file(GLOB ENGINE_QML_JS_FILES *.qml *.js)

# Make the files visible in the qtcreator tree
add_custom_target(lomiri-calculator-app_engine_QMlFiles ALL SOURCES ${ENGINE_QML_JS_FILES})

install(FILES ${ENGINE_QML_JS_FILES} DESTINATION ${LOMIRI-CALCULATOR-APP_DIR}/engine)

#set(MATH_JS "${CMAKE_SOURCE_DIR}/node_modules/mathjs/dist/math.js")
#add_custom_target(npm ALL
#  COMMENT "Npm install math.js"
#  COMMAND npm install
#  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
#)

#install(FILES ${MATH_JS} DESTINATION ${LOMIRI-CALCULATOR-APP_DIR}/engine)
