=== debian/changelog ===
lomiri-calculator-app (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    +  Mark patch 2001_ignore-autopilot.patch as Debian-specific.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/control:
    + Drop from D: qmlscene.
    + Mark arch:any, app is a C++ app now.
  * debian/coypright:
    + Update copyright attributions.
  * debian/rules:
    + Enable all hardening flags.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 12:21:53 +0200
