=== debian/control ===
--- 
+++ 
@@ -9,19 +9,19 @@
                gettext,
                qtbase5-dev,
                qtdeclarative5-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-calculator-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-calculator-app.git
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-calculator-app
 
 Package: lomiri-calculator-app
-Architecture: all
-Depends: qmlscene,
-         qml-module-qtquick2,
+Architecture: any
+Depends: qml-module-qtquick2,
          qml-module-lomiri-components,
          qml-module-qtquick-controls2-suru,
-         ${misc:Depends}
+         ${shlibs:Depends},
+         ${misc:Depends},
 Description: Calculator App for Lomiri Operating Environment
  This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
  a mobile OS developed by the UBports Foundation. Lomiri is its operating
